package com.qmth.distributed.print.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.distributed.print.business.bean.result.TFFlowLogResult;
import com.qmth.distributed.print.business.entity.TFFlowLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 流程流水表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-08-02
 */
public interface TFFlowLogMapper extends BaseMapper<TFFlowLog> {

    /**
     * 根据流程id查询流程状态
     *
     * @param flowId
     * @return
     */
    List<TFFlowLog> findByFlowId(@Param("flowId") Long flowId);

    /**
     * 根据考试任务id查询
     *
     * @param examTaskId
     * @return
     */
    List<TFFlowLogResult> findByExamTaskId(@Param("examTaskId") Long examTaskId);
}
